Skip to main content
POST
Disconnect Destination

Authorizations

Authorization
string
header
required

Send an account API key in the Authorization: Bearer <key> header.

Headers

OpenPMM-Request-Id
string

Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.

Maximum string length: 128
Idempotency-Key
string
required

A unique key for this operation. Use the same key when you retry the same request. Different input with the same key returns 409.

Required string length: 1 - 200

Path Parameters

workspace_id
string
required

Unique workspace ID.

Example:

"ws_01JABCDEF"

destination_id
string
required

Unique destination ID.

Example:

"dest_01JABCDEF"

Body

application/json

Explicit confirmation.

confirmed
boolean
required

Response

The destination disconnect result.

id
string
required

Unique destination ID.

Example:

"dest_01JABCDEF"

object
string
required

Object type.

Allowed value: "destination"
provider
enum<string>
required

Social provider.

Available options:
bluesky,
x,
youtube,
facebook,
instagram,
threads,
mastodon,
linkedin,
tiktok
Example:

"x"

disconnected
boolean
required

Whether OpenPMM disconnected the destination.

provider_revoked
boolean
required

Whether the provider confirmed token revocation.